package com.palmnest.application.dto;

import com.palmnest.model.Role;

import java.io.Serializable;
import java.util.Set;

public class UserDto implements Serializable{

	/**
	 * 用户详情
	 */
	private static final long serialVersionUID = -124657797143919181L;
	
	private Long id;
	private String username;//用户名
	private String fullName;//用户姓名
	private String telephone;//手机号
	private String photo;//头像
	private String sex;//性别
	private Integer age;//年龄
	private String position;     //职位
	private String profession;   //工种
	private Integer deviceType;//手机登录设备类型
	private String deviceNo;//手机登录设备号
	private String token ;//token
	private Integer isOnline;//是否已签到
	private String orgName;//项目名称
	private String orgId;//项目id
	private String meetClient;//会议室客户端
	private String hotline;//服务热线
	private Set<Role> roles;//用户角色

	// 各种权限
	private Integer meetingRolePermissionId;//会议室审核角色ID
	private Integer auditPermission;//1有审核维修单权限
	private Integer managePermission;//1有管理维修单权限
	private Integer washCarPermission;//1有洗车权限
	private Integer washPermission;//1有洗车管理权限
	private Integer dormPermission;//1有宿管审核权限
	private Integer tsbyReplyPermission;//1有投诉表扬权限(自己写的投诉表扬)
	private Integer renovationPermission;//1有装修审核权限
	private Integer repairPermission;//1有报修审核权限
	private String airAuditPermission;//1有空调加时审批权限
	//add dz 1101
	private Integer repairMode;//1-抢单模式 2-派单模式 0-无模式
	private Integer repairPersons;//1-开启一单多人 2-关闭一单多人
	private Integer repairPay;
	public UserDto() {
	}
	
	public UserDto(Long id, String username, String telephone, String sex, Integer age,
			String position, String profession, Integer deviceType, String deviceNo) {
		super();
		this.id = id;
		this.username = username;
		this.telephone = telephone;
		this.sex = sex;
		this.age = age;
		this.position = position;
		this.profession = profession;
		this.deviceType = deviceType;
		this.deviceNo = deviceNo;
	}

	public String getToken() {
		return token;
	}
	public void setToken(String token) {
		this.token = token;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	
	public String getFullName() {
		return fullName;
	}

	public void setFullName(String fullName) {
		this.fullName = fullName;
	}

	public String getTelephone() {
		return telephone;
	}
	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}
	public String getPhoto() {
		return photo;
	}
	public void setPhoto(String photo) {
		this.photo = photo;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public Integer getAge() {
		return age;
	}
	public void setAge(Integer age) {
		this.age = age;
	}
	public String getPosition() {
		return position;
	}
	public void setPosition(String position) {
		this.position = position;
	}
	public String getProfession() {
		return profession;
	}
	public void setProfession(String profession) {
		this.profession = profession;
	}
	public Integer getDeviceType() {
		return deviceType;
	}
	public void setDeviceType(Integer deviceType) {
		this.deviceType = deviceType;
	}
	public String getDeviceNo() {
		return deviceNo;
	}
	public void setDeviceNo(String deviceNo) {
		this.deviceNo = deviceNo;
	}

	public Integer getAuditPermission() {
		return auditPermission;
	}

	public void setAuditPermission(Integer auditPermission) {
		this.auditPermission = auditPermission;
	}

	public Integer getManagePermission() {
		return managePermission;
	}

	public void setManagePermission(Integer managePermission) {
		this.managePermission = managePermission;
	}

	public Integer getIsOnline() {
		return isOnline;
	}

	public void setIsOnline(Integer isOnline) {
		this.isOnline = isOnline;
	}

	public Integer getWashCarPermission() {
		return washCarPermission;
	}

	public void setWashCarPermission(Integer washCarPermission) {
		this.washCarPermission = washCarPermission;
	}

	public Integer getWashPermission() {
		return washPermission;
	}

	public void setWashPermission(Integer washPermission) {
		this.washPermission = washPermission;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public Integer getDormPermission() {
		return dormPermission;
	}

	public void setDormPermission(Integer dormPermission) {
		this.dormPermission = dormPermission;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getMeetClient() {
		return meetClient;
	}

	public void setMeetClient(String meetClient) {
		this.meetClient = meetClient;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String getAirAuditPermission() {
		return airAuditPermission;
	}

	public void setAirAuditPermission(String airAuditPermission) {
		this.airAuditPermission = airAuditPermission;
	}

	public Integer getMeetingRolePermissionId() {
		return meetingRolePermissionId;
	}

	public void setMeetingRolePermissionId(Integer meetingRolePermissionId) {
		this.meetingRolePermissionId = meetingRolePermissionId;
	}

	public Integer getTsbyReplyPermission() {
		return tsbyReplyPermission;
	}

	public void setTsbyReplyPermission(Integer tsbyReplyPermission) {
		this.tsbyReplyPermission = tsbyReplyPermission;
	}

	public Set<Role> getRoles() {
		return roles;
	}

	public void setRoles(Set<Role> roles) {
		this.roles = roles;
	}

	public Integer getRenovationPermission() {
		return renovationPermission;
	}

	public void setRenovationPermission(Integer renovationPermission) {
		this.renovationPermission = renovationPermission;
	}

	public Integer getRepairPermission() {
		return repairPermission;
	}

	public void setRepairPermission(Integer repairPermission) {
		this.repairPermission = repairPermission;
	}

	public String getHotline() {
		return hotline;
	}

	public void setHotline(String hotline) {
		this.hotline = hotline;
	}

	public Integer getRepairMode() {
		return repairMode;
	}

	public void setRepairMode(Integer repairMode) {
		this.repairMode = repairMode;
	}

	public Integer getRepairPersons() {
		return repairPersons;
	}

	public void setRepairPersons(Integer repairPersons) {
		this.repairPersons = repairPersons;
	}

	public Integer getRepairPay() {
		return repairPay;
	}

	public void setRepairPay(Integer repairPay) {
		this.repairPay = repairPay;
	}
	
	
}
